ONVIF::Analytics::Elements::GetSupportedRulesResponse(3pm)

NAME
ONVIF::Analytics::Elements::GetSupportedRulesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetSupportedRulesResponse from the namespace http://www.onvif.org/ver20/analytics/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SupportedRules

     $element->set_SupportedRules($data);
     $element->get_SupportedRules();

METHODS

  new
 my $element = ONVIF::Analytics::Elements::GetSupportedRulesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   SupportedRules =>  { # ONVIF::Analytics::Types::SupportedRules
     RuleContentSchemaLocation =>  $some_value, # anyURI
     RuleDescription =>  { # ONVIF::Analytics::Types::ConfigDescription
       Parameters =>  { # ONVIF::Analytics::Types::ItemListDescription
         SimpleItemDescription => ,
         ElementItemDescription => ,
         Extension =>  { # ONVIF::Analytics::Types::ItemListDescriptionExtension
         },
       },
       Messages =>  {
         ParentTopic =>  $some_value, # string
       },
       Extension =>  { # ONVIF::Analytics::Types::ConfigDescriptionExtension
       },
     },
     Extension =>  { # ONVIF::Analytics::Types::SupportedRulesExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL